%define oname pyliblzma
%define module lzma

Summary:	Python bindings for the LZMA compression library
Name:		python-%{module}
Version:	0.5.3
Release:	%mkrel 2
License:	LGPLv3+
Group:		Development/Python
Url:		https://launchpad.net/pyliblzma
Source0:	http://pypi.python.org/packages/source/p/pyliblzma/%{oname}-%{version}.tar.bz2
BuildRequires:	lzma-devel
BuildRequires:	python-devel
BuildRequires:  python-setuptools
Provides:	%{oname}
Obsoletes:	%{oname}

%description
Python bindings for the LZMA compression library.

%prep
%setup -qn %{oname}-%{version}

%build
env CFLAGS="%{optflags}" python setup.py build

%install
rm -rf %{buildroot}

python setup.py install --root=%{buildroot} --record=INSTALLED_FILES

%files
%doc README NEWS COPYING ChangeLog
%{python_sitearch}/*.py*
%{python_sitearch}/pyliblzma*.egg-info
%{python_sitearch}/lzma.so



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.5.3-2.mga3
+ Revision: 379088
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 17 2011 ovitters <ovitters> 0.5.3-1.mga2
+ Revision: 144440
- update to 0.5.3
  correct license
  correct homepage, tarballname, original name (too many similar python lzma tarballs)
  clean spec file (buildroot, defattr)
- imported package python-lzma

